%define pypi_name pyXMLSecurity
%define pkg_name pyxmlsecurity

Name:           python-%{pkg_name}
Version:        0.21
Release:        %mkrel 3
Summary:        Pure Python XML Security
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/pyxmlsecurity/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This is a python implementation of XML-Security - XML-DSIG only right now.
There are no dependencies except lxml and pyca/cryptography currently.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
This is a python implementation of XML-Security - XML-DSIG only right now.
There are no dependencies except lxml and pyca/cryptography currently.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{pkg_name}
%doc README.rst
%{_bindir}/xmlsign
%{_bindir}/xmlverify
%{python3_sitelib}/xmlsec
%{python3_sitelib}/pyXMLSecurity-%{version}-*.egg-info


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 0.21-3.mga9
+ Revision: 1824789
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.21-2.mga9
+ Revision: 1778353
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.21-1.mga9
+ Revision: 1706239
- new version 0.21

* Thu Jul 23 2020 ovitters <ovitters> 0.20-3.mga8
+ Revision: 1608304
- rebuild for removing pythonegg buildrequires in srpm

* Mon Feb 17 2020 umeabot <umeabot> 0.20-2.mga8
+ Revision: 1537691
- Mageia 8 Mass Rebuild

* Thu Nov 07 2019 guillomovitch <guillomovitch> 0.20-1.mga8
+ Revision: 1458665
- new version 0.20

* Tue Sep 24 2019 tv <tv> 0.19-2.mga8
+ Revision: 1445465
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.19-1.mga8
+ Revision: 1417152
- imported package python-pyxmlsecurity

